﻿@using System.Web.UI.WebControls;
@using Toyota.Common.Web.Html.Helper;
@using DevExpress.Web;
@using DevExpress.Web.Mvc;


@Html.DevExpress().PopupControl(settings =>
{
    settings.Name = "cfrmbox";
    settings.Width = Unit.Pixel(290);
    //settings.Width = 320;
    //settings.Height = Unit.Pixel(50);
    settings.Modal = true;
    settings.HeaderText = "Information";
    settings.Opacity = 90;

    settings.ShowCloseButton = false;
    settings.AllowDragging = false;

    settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
    settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
    settings.CloseAction = CloseAction.CloseButton;
    //settings.DragElement = DragElement.Window;

    settings.SetContent(() =>
    {
        ViewContext.Writer.Write("<table cellspacing='2' border='0' Width='100%' style='margin-top:10px'><tr><td width='45' style='Padding-left:10px;'>");

        Html.DevExpress().Image(
        img =>
        {
            img.Name = "cfrmicon";
            img.ImageUrl = "~/Content/Images/warning_icon.png";
            img.Width = 32;
        }).Render();

        ViewContext.Writer.Write("</td><td style='Padding-bottom:10px;' >");

        Html.DevExpress().Label(
            labelSettings =>
            {
                labelSettings.Name = "cfrmcaption";
                labelSettings.ControlStyle.CssClass = "label";
                labelSettings.Text = "Password:";
                labelSettings.AssociatedControlName = "Password";
            }
        )
        .Render();

        ViewContext.Writer.Write("</td></tr><tr><td></td><td></td></tr><tr height='30'>");
        
        ViewContext.Writer.Write("<td align='center' colspan = '2'>");
        Html.DevExpress().Button(
            buttonSettings =>
            {
                buttonSettings.Name = "cfrm_OK";
                buttonSettings.ControlStyle.CssClass = "button";
                buttonSettings.Width = Unit.Pixel(60);
                buttonSettings.Text = "OK";
                buttonSettings.UseSubmitBehavior = true;
                buttonSettings.Style.Add("display", "inline-table");
                buttonSettings.Style.Add("padding-right","5px");
                buttonSettings.ClientSideEvents.Click = "cfrmOK_click";
            }
        ).Render();
        Html.DevExpress().Button(
            buttonSettings =>
            {
                buttonSettings.Name = "cfrm_Cancel";
                buttonSettings.ControlStyle.CssClass = "button";
                buttonSettings.Width = Unit.Pixel(60);
                buttonSettings.Text = "Cancel";
                buttonSettings.UseSubmitBehavior = true;
                buttonSettings.Style.Add("display", "inline-table");
                buttonSettings.ClientSideEvents.Click = "cfrmCancel_click";
            }
        )
        .Render();


        ViewContext.Writer.Write("</td></tr>");
        ViewContext.Writer.Write("</table>");
    });

}).GetHtml()